Package twisted :: Package web :: Module guard :: Class AuthPage |
[frames | no frames]

## Class AuthPage

      Widget --+
               |
    Presentation --+
                   |
        Resource --+
                   |
                Page --+
                       |
                      AuthPage

Method Summary
| `__init__(self, reqauth, sessionIdentity, sessionPerspective)`
Inherited from Page
| ``render`(self, request)` Render a given resource.
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me.
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`
Inherited from Presentation
| ``addClassVars`(self, namespace, Class)`
| ``addVariables`(self, namespace, request)`
| ``display`(self, request)` Implement me to represent your widget.
| ``formatTraceback`(self, tb)`
| ``prePresent`(self, request)` Perform any tasks which must be done before presenting the page.
| ``streamCall`(self, call, *args, **kw)` Utility: Call a method like StreamWidget's 'stream'.
Inherited from Widget
| ``getTitle`(self, request)`

Class Variable Summary
`NoneType` | `authForm` = None
`str` | `template` = `'\n <html><head><title>Authorization Requi...`
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`int` | `isLeaf` = 0
`NoneType` | `server` = None
Inherited from Presentation
`str` | `world` = `"you didn't assign to the 'template' attribute"`
Inherited from Widget
`NoneType` | `title` = None

Class Variable Details

    ### authForm Type: `NoneType` Value:
        None

    ### template Type: `str` Value:
        '''
            <html><head><title>Authorization Required</title></head>
            <body>
            <center>
            %%%%authForm%%%%
            </center>
            </body>
            </html>
        ...

Generated by Epydoc 2.0 on Sat Oct 25 00:54:52 2003 | http://epydoc.sf.net